#version 450 core

#pragma include ./shared.glsl

in FragmentData fragmentData;

uniform sampler2D uTexture;

out vec4 outColor;

void main() {
    float alpha = texture(uTexture, fragmentData.texCoords).r;

    if (alpha <= 0.0) {
        discard;
    }

    outColor = fragmentData.color * vec4(1.0, 1.0, 1.0, alpha);
}
